Package org.jcsp.net.security

# Interface UserToken

All Superinterfaces:
  `Serializable`

public interface UserToken extends Serializable

Uniquely identifies an authenticated user. An instance of a `SecurityAuthority` will be able to create a user token from a user ID. To do so may require additional information such as passwords or other authentication details. It is the responsibility of the authority to do the authentication and only supply a token instance if the credentials are okay.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`UserID`
`getUserID()`
Returns the ID of the logged on user.

## Method Details

### getUserID

UserID getUserID()
Returns the ID of the logged on user.